# Extra Clang Tools 21.1.8 documentation

## clang-tidy - hicpp-signed-bitwise

# hicpp-signed-bitwise

Finds uses of bitwise operations on signed integer types, which may lead to undefined or implementation defined behavior.

The according rule is defined in the High Integrity C++ Standard, Section 5.6.1.

## Options

IgnorePositiveIntegerLiterals

  If this option is set to true, the check will not warn on bitwise operations with positive integer literals, e.g. ~0, 2 << 1, etc. Default value is false.